.ant-menu-vertical .ant-menu-item,
.ant-menu-vertical-left .ant-menu-item,
.ant-menu-vertical-right .ant-menu-item,
.ant-menu-inline .ant-menu-item,
.ant-menu-vertical .ant-menu-submenu-title,
.ant-menu-vertical-left .ant-menu-submenu-title,
.ant-menu-vertical-right .ant-menu-submenu-title,
.ant-menu-inline .ant-menu-submenu-title {
  margin-top: 0;
  margin-bottom: 0;
}

// Wave chart styles
.antd-pro-charts--water-wave-waterWaveCanvasWrapper {
  transform: scale(0.5);
  transform-origin: 0 0;
}

.antd-pro-charts--water-wave-text {
  position: absolute;
  left: 0;
  top: 32px;
  text-align: center;
  width: 100%;
}

.antd-pro-charts--water-wave-text h4 {
  font-size: 26px;
}

// Ant pro stats styling (did not come included when imported in component)

.antd-pro-charts--mini-progress-miniProgress {
  padding: 5px 0;
  position: relative;
  width: 100%;
}
.antd-pro-charts--mini-progress-progressWrap {
  background-color: #f5f5f5;
  position: relative;
}
.antd-pro-charts--mini-progress-progress {
  -webkit-transition: all 0.4s cubic-bezier(0.08, 0.82, 0.17, 1) 0s;
  transition: all 0.4s cubic-bezier(0.08, 0.82, 0.17, 1) 0s;
  border-radius: 1px 0 0 1px;
  background-color: #1890ff;
  width: 0;
  height: 100%;
}
.antd-pro-charts--mini-progress-target {
  position: absolute;
  top: 0;
  bottom: 0;
}
.antd-pro-charts--mini-progress-target span {
  background: rgb(19, 194, 194);
  border-radius: 100px;
  position: absolute;
  top: 0;
  left: 0;
  height: 4px;
  width: 2px;

  &:last-child {
    top: auto;
    bottom: 0;
  }
}

.ant-btn-block {
  width: 100%;
}

// Tabs animation on animated="false"

.no-slide-animation {
  .ant-tabs:not(.ant-tabs-vertical) > .ant-tabs-content-animated {
    transition: none !important;
  }
}

.ant-tabs-spacing-fix {
  .ant-tabs {
    margin: -2px;
    padding: 2px;
  }
}

.ant-tabs-nav .ant-tabs-tab {
  padding: 18px 2px;
  margin: 0 20px 0 0;
}

// Filter without backgrounds and larger text (mostly for discover, might be used elsewhere)

.filter {
  label {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 14px;
    margin-bottom: 10px;
    display: inline-block;
  }

  .custom-select {
    .ant-select-selection--single,
    .ant-select-selection--multiple {
      background: none;
      border: none;
      font-size: 20px;
      padding: 0;
      box-shadow: none;

      .ant-select-selection__rendered {
        margin: 0;
        padding: 0;
      }

      .ant-select-selection__choice {
        border: none;
        margin: 0 10px 0 0;
        padding: 0 36px 0 0;
        background: none;
      }

      .ant-select-selection__placeholder {
        margin-left: 0;
      }

      .ant-select-selection__choice__remove {
        background: rgba(0, 0, 0, 0.1);
        width: 22px;
        height: 22px;
        border-radius: 4px;
        transition: 0.2s ease-out;

        &:hover {
          background: $brand-primary;
          color: #fff;
        }
      }

      .ant-select-selection__choice__content,
      .ant-select-selection-selected-value {
        color: $brand-primary;
      }
    }
  }

  .bordered {
    border: 2px solid rgba(0, 0, 0, 0.08);
    padding: 10px 0 0 10px;
    border-radius: 6px;

    .ant-select-selection__rendered {
      line-height: 22px;
    }
  }
}

.ant-select-dropdown {
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.05), 0 1px 2px 0 rgba(0, 0, 0, 0.08), 0 20px 40px rgba(0, 0, 0, 0.14), 0 10px 14px rgba(0, 0, 0, 0.05);
  overflow: hidden;

  .ant-select-dropdown-menu-item {
    padding: 12px 20px;
  }
}

// Slider fix

.ant-slider-handle {
  width: 22px;
  height: 22px;
  border: none;
  margin-top: -7px;
  box-shadow: rgb(255, 255, 255) 0px 0px 1px inset, rgba(0, 0, 0, 0.15) 0px 3px 12px, rgba(0, 0, 0, 0.2) 0px 3px 6px -3px !important;
}

.ant-slider-step,
.ant-slider-track,
.ant-slider-rail {
  height: 10px;
}

.ant-slider-rail {
  background: #e5e9ef;
  border-radius: 4px;
}

.ant-slider-track {
  background: $brand-primary;
}

.ant-slider {
  &:hover {
    .ant-slider-track {
      background: lighten($brand-primary, 3%);
    }

    .ant-slider-rail {
      background: darken(#e5e9ef, 3%);
    }
  }
}

.ant-message-notice-content {
  padding: 0;

  .ant-message-custom-content {
    padding: 20px 30px;
    border-radius: 4px;

    > i {
      font-size: 24px;
      color: #fff;
      margin-right: 15px;
    }

    > span {
      font-size: 18px;
      color: #fff;
    }

    &.ant-message-success {
      background: $brand-color-2;
    }

    &.ant-message-info {
      background: $brand-primary;
    }

    &.ant-message-error {
      background: #e23c39;
    }
  }
}
.ant-input-group {
  div[class*="ant-col"] {
    padding-right: 0;
  }
}

.ant-dropdown-trigger {
  cursor: pointer;
}

.ant-upload.ant-upload-drag p.ant-upload-hint {
  font-size: 0.8em;
  margin: 10px;
}

.checkbox-tabs {
  .checkbox-wrapper {
    > .ant-form-item {
      float: left;
      margin-bottom: 0;
    }
  }

  .ant-checkbox-wrapper {
    position: relative;
    margin: 10px 0;

    .ant-checkbox {
      opacity: 0;
      margin-right: -16px;
      transition: all 0.3s ease-out;
      background: $brand-primary;
      color: #fff;
      position: absolute;
      top: 11px;
      left: 12px;

      &.ant-checkbox-checked {
        opacity: 1;
      }
    }

    > span:last-of-type {
      border-radius: 18px;
      min-height: 38px;
      line-height: 38px;
      padding: 0 22px;
      color: #888a8d;
      background: #ebf0f6;
      transition: all 0.3s ease-out;
      display: inline-block;

      &:hover {
        background: darken(#ebf0f6, 4%);
      }
    }

    .ant-checkbox-checked + span {
      padding: 0 22px 0 36px;
      background: $brand-primary;
      color: #fff;

      &:hover {
        background: $brand-primary;
      }
    }
  }
}

.ant-collapse-naked {
  background: none;
  border: none;

  .ant-collapse-item {
    background: #fff;
    border-bottom: 1px solid #eaeaea;

    .ant-collapse-header {
      padding: 15px 20px;
      border-bottom: 0;
    }
  }

  .ant-collapse-content {
    border-top: 0;

    .ant-collapse-content-box {
      padding: 0 20px 20px;
    }
  }

  .ant-collapse-header {
    padding: 12px;

    .arrow {
      left: auto !important;
      right: 20px;
    }
  }
}

.ant-checkbox-wrapper + .ant-checkbox-wrapper {
  margin-left: 0;
  line-height: 40px;
  display: block;
}
.ant-badge {
  &.yellow-dot {
    .ant-badge-dot {
      background: #f5af22;
    }
  }

  &.red-dot {
    .ant-badge-dot {
      background: #f52258;
    }
  }

  &.blue-dot {
    .ant-badge-dot {
      background: #157ff1;
    }
  }

  &.purple-dot {
    .ant-badge-dot {
      background: #626cdd;
    }
  }
}

.ant-drawer-right.ant-drawer-open {
  z-index: 100;
}
